### Method

# FwupdPlugin Firmware get_bytes_with_patches

since: 1.7.4

#### Declaration [src]

    GBytes*
    fu_firmware_get_bytes_with_patches (
      FuFirmware* self
      GError** error
    )

#### Description [src]

Gets the firmware payload, with any defined patches applied.

Available since: 1.7.4

#### Return value

Type: `GBytes`

A `GBytes`, or `NULL` if the payload has never been set.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.